uuid: 9f367f33-b830-4a89-a31b-cf60e163e4a9
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_user
class: Drupal\user\Plugin\migrate\User
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'User accounts'
source:
  plugin: d7_user
process:
  uid:
    -
      plugin: get
      source: uid
  name:
    -
      plugin: get
      source: name
  pass:
    -
      plugin: get
      source: pass
  mail:
    -
      plugin: get
      source: mail
  created:
    -
      plugin: get
      source: created
  access:
    -
      plugin: get
      source: access
  login:
    -
      plugin: get
      source: login
  status:
    -
      plugin: get
      source: status
  timezone:
    -
      plugin: get
      source: timezone
  langcode:
    -
      plugin: user_langcode
      source: entity_language
      fallback_to_site_default: false
  preferred_langcode:
    -
      plugin: user_langcode
      source: language
      fallback_to_site_default: true
  preferred_admin_langcode:
    -
      plugin: user_langcode
      source: language
      fallback_to_site_default: true
  init:
    -
      plugin: get
      source: init
  roles:
    -
      plugin: migration_lookup
      migration: upgrade_d7_user_role
      source: roles
  user_picture:
    -
      plugin: default_value
      source: picture
      default_value: null
    -
      plugin: migration_lookup
      migration: upgrade_d7_file
  field_about_author:
    -
      plugin: get
      source: field_about_author
  field_user_full_name:
    -
      plugin: get
      source: field_user_full_name
  field_user_organization:
    -
      plugin: get
      source: field_user_organization
  field_user_title:
    -
      plugin: get
      source: field_user_title
  field_user_messaging:
    -
      plugin: get
      source: field_user_messaging
  field_hide_user_from_meesages:
    -
      plugin: get
      source: field_hide_user_from_meesages
  field_user_bio:
    -
      plugin: get
      source: field_user_bio
  field_user_country:
    -
      plugin: get
      source: field_user_country
  field_user_phone_number:
    -
      plugin: get
      source: field_user_phone_number
  field_user_first_name:
    -
      plugin: get
      source: field_user_first_name
  field_user_last_name:
    -
      plugin: get
      source: field_user_last_name
  field_user_last_interaction:
    -
      plugin: sub_process
      source: field_user_last_interaction
      process:
        value:
          plugin: format_date
          from_format: U
          to_format: U
          source: value
  field_last_members_portal_visit:
    -
      plugin: sub_process
      source: field_last_members_portal_visit
      process:
        value:
          plugin: format_date
          from_format: U
          to_format: U
          source: value
  field_register_via_app:
    -
      plugin: get
      source: field_register_via_app
  field_verified_by_pipedrive:
    -
      plugin: get
      source: field_verified_by_pipedrive
  field_user_country2:
    -
      plugin: sub_process
      source: field_user_country2
      process:
        target_id: tid
destination:
  plugin: 'entity:user'
migration_dependencies:
  required:
    - upgrade_d7_user_role
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_file
    - upgrade_user_picture_field_instance
    - upgrade_user_picture_entity_display
    - upgrade_user_picture_entity_form_display
    - upgrade_d7_user_role
